Subject: CephFS in fstab

From: Geoffray Levasseur <[email-masked]>
Date: Tue, 11 Jun 2019 12:48:33 +0000

Package: ceph-fs-common
Version: 10.2.11-2

Hi,

I'm running CephFS filesystem on Proxmox servers. Virtual machines runs Devuan 
ASCII or Devuan Beowulf. Almost all the virtual machines will need access to a 
CephFS storage, and services like Apache or nsd will require access to CephFS 
to run.

So I've put CephFS entry in fstab with an existing mount point not forgetting 
the _netdev option. Manual mount with "mount /mountpoint" works just 
perfectly.

At start-up, the mount is not done and services that depends on it are failing 
to start.

I had the same issue with GlusterFS. NFS in an other hand works perfectly, 
thanks to a dedicated script called (as far as I remember) nfs-mount in 
/etc/init.d.

I think the nfs-mount startup script should be renamed net-mount and any 
_netdev optioned entry in fstab should be mounted by it. Elsewhere, other 
network filesystem should come with dedicated mount script or a sample script 
in documentation.

Thank you,
-- 
Geoffray Levasseur
Technicien UPS - UMR CNRS 5566 / LEGOS - Service Informatique
        <[email-masked]>
        <[email-masked]>
        http://www.geoffray-levasseur.org/
GNU/PG public key : C89E D6C4 8BFC C9F2 EEFB 908C 89C2 CD4D CD9E 23AA
Quod gratis asseritur gratis negatur.